<nav class="p-3 bg-dark text-white">
    <div class="container">
        <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
            <ul class="nav col-12 col-lg-auto me-lg-auto mb-1 justify-content-center mb-md-0">
                <li><a routerLink="/" class="nav-link px-2 text-secondary">Home</a></li>
                <li><a routerLink="/products" class="nav-link px-2 text-white">Products</a></li>
                <li><a routerLink="/contact" class="nav-link px-2 text-white">Contact</a></li>
            </ul>

            <div class="text-end">
                <button type="button" class="btn btn-outline-light me-2">Login</button>
            </div>
        </div>
    </div>
</nav>